- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnPointOnCurveManip Class Reference

# OpenMayaUI - API module for user interface | FunctionSet classes

Search for all occurrences

## Detailed Description

PointOnCurveManip function set.

The PointOnCurveManip allows the user to manipulate a point constrained to move along a curve, in order to specify the "u" curve parameter value. This manipulator generates a single floating point value corresponding to the curve parameter.

`#include <MFnPointOnCurveManip.h>`

Inheritance diagram for MFnPointOnCurveManip:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnPointOnCurveManip ()
| Destructor.
| MFnPointOnCurveManip ()
| Default constructor.
| MFnPointOnCurveManip (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnPointOnCurveManip (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
MObject | create (MStatus *ReturnStatus=NULL)
| Creates a new PointOnCurveManip.
MObject | create (const MString &manipName, const MString &paramName, MStatus *ReturnStatus=NULL)
| Creates a new PointOnCurveManip.
MStatus | connectToCurvePlug (MPlug &curvePlug)
| Connect to the curve plug.
MStatus | connectToParamPlug (MPlug &paramPlug)
| Connect to the param plug.
MStatus | setDrawCurve (bool state)
| Sets whether or not the curve is drawn.
MStatus | setParameter (double parameter)
| Sets the parameter.
bool | isDrawCurveOn (MStatus *ReturnStatus=NULL) const
| Returns whether or not the curve is drawn.
double | parameter (MStatus *ReturnStatus=NULL) const
| Returns the parameter.
MPoint | curvePoint (MStatus *ReturnStatus=NULL) const
| Returns the curve point.
unsigned int | curveIndex (MStatus *ReturnStatus=NULL) const
| Returns the index of the curve.
unsigned int | paramIndex (MStatus *ReturnStatus=NULL) const
| Returns the index of the parameter of the PointOnCurveManip.
| MFnPointOnCurveManip (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

~MFnPointOnCurveManip | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnPointOnCurveManip | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnPointOnCurveManip | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnPointOnCurveManip | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kPointOnCurveManip.

Reimplemented from MFnManip3D.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnPointOnCurveManip".

Reimplemented from MFnManip3D.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Creates a new PointOnCurveManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite PointOnCurveManip.

The name that appears in the feedback line is "param"

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Newly created PointOnCurveManip

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MObject create | ( | const MString & | manipName,
|  | const MString & | paramName,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Creates a new PointOnCurveManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite PointOnCurveManip.

The name that appears in the feedback line is specified by the paramName argument.

Parameters:

  [in] | manipName | Name of the manip for UI purposes.
  [in] | paramName | Label for the parameter value that appears in the feedback line.
  [out] | ReturnStatus | Status code.

Returns:
  Newly created PointOnCurveManip.

Status Codes:
  - MS::kSuccess Operation successful.
  - MS::kFailure Operation failed.

Reimplemented from MFnDependencyNode.

MStatus connectToCurvePlug | ( | MPlug & | curvePlug | ) |

Search for all occurrences

Connect to the curve plug.

The data type corresponding to the curvePlug is MFnData::kNurbsCurve.

Parameters:

  [in] | curvePlug | the curve plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus connectToParamPlug | ( | MPlug & | paramPlug | ) |

Search for all occurrences

Connect to the param plug.

The data type corresponding to the paramPlug is a double.

Parameters:

  [in] | paramPlug | the param plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setDrawCurve | ( | bool | state | ) |

Search for all occurrences

Sets whether or not the curve is drawn.

Parameters:

  [in] | state | whether or not the curve should be drawn

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setParameter | ( | double | parameter | ) |

Search for all occurrences

Sets the parameter.

Parameters:

  [in] | parameter | the parameter

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

bool isDrawCurveOn | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns whether or not the curve is drawn.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  - true the curve is being drawn
  - false the curve is not being drawn

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

double parameter | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the parameter.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Parameter

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MPoint curvePoint | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the curve point.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The curve point

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int curveIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index of the curve.

The data type corresponding to this index is MFnData::kNurbsCurve.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Curve index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int paramIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index of the parameter of the PointOnCurveManip.

The data type corresponding to this index is a double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Parameter index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip
MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip MFnPointOnCurveManip